Skip to content

WHOIS

All operations require authentication.

3 operationsv1/ip/{ip}
Agent setup

Get RIPE informationProduction

GET
/1.0/ip/{ip}/ripe

Get RIPE information. Returns the netname and description registered for the block in the RIPE database, as shown in WHOIS.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Response

200RipeInfossuccessful operation
description
string

IP RIPE description

netname
string

IP RIPE netname

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/ripe \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "netname": "string"}

Change the organizationProduction

POST
/1.0/ip/{ip}/changeOrg

Change the organization. Sets the RIR organization (from /me/ipOrganisation) on the block's registry record (async task).

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Request body (required)

organisation
required
string

Your organisation id (RIPE_XXXX) to add on block informations

Response

200IpTasksuccessful operation
comment
read-only
string

Details of this task

destination
read-only
RoutedTo

Destination for moveFloatingIp tasks

doneDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesarinBlockReassignchangeRipeOrgcheckAndReleaseIpgenericMoveFloatingIpsupernetByoipFailoverPartitioning
lastUpdate
read-only
stringdate-time

last update

startDate
read-only
stringdate-time

Task Creation date

status
read-only
TaskStatusEnum

Task status

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
taskId
read-only
integer

the id of the task

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/changeOrg \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "comment": "string", "destination": { "serviceName": "string" }, "doneDate": "2024-01-01T12:00:00Z", "function": "arinBlockReassign", "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "taskId": 0}

Update RIPE informationProduction

PUT
/1.0/ip/{ip}/ripe

Update RIPE information. Changes the netname and description registered for the block in the RIPE database, as shown in WHOIS.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Request body (required)

description
string

IP RIPE description

netname
string

IP RIPE netname

Response

200—successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/ripe \
  -H "authorization: Bearer $OVH_TOKEN"